Bug 1629927 (CVE-2018-16976) - CVE-2018-16976 gitolite: Improper restriction of access to a Git repository while migration
Summary: CVE-2018-16976 gitolite: Improper restriction of access to a Git repository w...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-16976
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1629929 1629930 1629931 1629932
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-17 16:09 UTC by Pedro Sampaio
Modified: 2019-09-29 14:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:38:01 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-09-17 16:09:10 UTC
Gitolite before 3.6.9 does not (in certain configurations involving @all or a regex) properly restrict access to a Git repository that is in the process of being migrated until the full set of migration steps has been completed. This can allow valid users to obtain unintended access.

Upstream fix:

https://github.com/sitaramc/gitolite/commit/dc13dfca8fdae5634bb0865f7e9822d2a268ed59

References:

https://groups.google.com/forum/#!topic/gitolite-announce/WrwDTYdbfRg

Comment 1 Pedro Sampaio 2018-09-17 16:10:03 UTC
Created gitolite tracking bugs for this issue:

Affects: epel-all [bug 1629931]
Affects: fedora-all [bug 1629929]


Created gitolite3 tracking bugs for this issue:

Affects: epel-all [bug 1629932]
Affects: fedora-all [bug 1629930]

Comment 2 Product Security DevOps Team 2019-06-10 10:38:01 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.